Bug 1222547 - add back disable while typing
Summary: add back disable while typing
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libinput
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-18 13:32 UTC by James Patterson
Modified: 2015-06-02 15:16 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-02 15:16:21 UTC


Attachments (Terms of Use)

Description James Patterson 2015-05-18 13:32:30 UTC
Description of problem:
From https://bugzilla.redhat.com/show_bug.cgi?id=1206961#c65:

Hi,

(In reply to James Patterson from comment #64)
> Natural scrolling works again at least, but now my touchpad is not being
> ignore when I am typing :(

Support for disable while typing has recently been added to libinput upstream. We should be able to do a libinput during the coming days or weeks adding this. Please file a separate bug for tracking this against component libinput. Please also let us know which model touchpad and laptop you've as we're enabling disable-while-typing on a per model basis.

Regards,

Hans

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2015-05-18 21:56:35 UTC
libinput-0.15.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-8457/libinput-0.15.0-2.fc22

Comment 2 Peter Hutterer 2015-05-18 21:57:27 UTC
From Hans' comment: "Please also let us know which model touchpad and laptop you've as we're enabling disable-while-typing on a per model basis."

Comment 3 Rodd Clarkson 2015-05-19 01:48:37 UTC
(In reply to Peter Hutterer from comment #2)
> From Hans' comment: "Please also let us know which model touchpad and laptop
> you've as we're enabling disable-while-typing on a per model basis."

I have a Dell XPS 2014.

$ xinput list-props 11
Device 'DLL060A:00 06CB:2734':
	Device Enabled (136):	1
	Coordinate Transformation Matrix (138):	1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
	libinput Tapping Enabled (273):	1
	libinput Tapping Enabled Default (274):	0
	libinput Accel Speed (275):	-0.094170
	libinput Accel Speed Default (276):	0.000000
	libinput Natural Scrolling Enabled (277):	1
	libinput Natural Scrolling Enabled Default (278):	0
	libinput Send Events Modes Available (254):	1, 1
	libinput Send Events Mode Enabled (255):	0, 0
	libinput Send Events Mode Enabled Default (256):	0, 0
	libinput Left Handed Enabled (279):	0
	libinput Left Handed Enabled Default (280):	0
	libinput Scroll Methods Available (281):	1, 0, 0
	libinput Scroll Method Enabled (282):	1, 0, 0
	libinput Scroll Method Enabled Default (283):	1, 0, 0
	libinput Click Methods Available (284):	1, 1
	libinput Click Method Enabled (285):	1, 0
	libinput Click Method Enabled Default (286):	1, 0
	Device Node (257):	"/dev/input/event12"
	Device Product ID (258):	1739, 10036

Comment 4 James Patterson 2015-05-20 09:20:16 UTC
The same.

Comment 5 Peter Hutterer 2015-05-21 08:07:32 UTC
can I get some testing on this scratch build here please, it aims to improve responsiveness of the palm detection, specifically allowing a finger to move the cursor once the timeout has expired (rather than requiring to lift it). thanks

http://koji.fedoraproject.org/koji/taskinfo?taskID=9813926

Comment 6 Rodd Clarkson 2015-05-21 09:00:59 UTC
(In reply to Peter Hutterer from comment #5)
> can I get some testing on this scratch build here please, it aims to improve
> responsiveness of the palm detection, specifically allowing a finger to move
> the cursor once the timeout has expired (rather than requiring to lift it).
> thanks
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=9813926

I'm not finding anything here I can test.  Am I missing something?

Comment 7 James Patterson 2015-05-21 09:21:18 UTC
Click on your arch, like  buildArch (libinput-0.15.0-3.fc22.src.rpm, x86_64), then download the libinput rpm on the next page (under outputs).

Comment 8 Rodd Clarkson 2015-05-21 09:30:01 UTC
Okay, I've installed it and restarted.  What am I testing for?

Comment 9 Peter Hutterer 2015-05-21 09:54:14 UTC
heh, I guess if it's not obvious then that's a good thing :)

previously the palm detection would ignore any finger starting before the timeout, so if you switch quickly from kbd to touchpad your finger may not move the pointer.

with that change, if the touch starts after the last key press the finger switches to pointer movement once the timeout expires. if the touch starts before the last key press (e.g. a palm resting), the touch stays ignored until released.
should make the touchpad more responsive while still being useful for those who rest the palm on the touchpad.

Comment 10 James Patterson 2015-05-21 13:00:58 UTC
Well it is better! But it's not quite 100% yet.

How can I provide you with something useful for this bug? As soon as I become conscious of where my hand are on the keyboard, I won't have the problem anymore.

Comment 11 Peter Hutterer 2015-05-21 22:25:32 UTC
heh, now you know the problems I have during testing :)

most useful are descriptions (as detailed as possible) about what your fingers are doing, what should happen and what happens. Once you know that, you can produce evemu recordings which make reproducing something easier but a plain description is always the start (mainly to figure out if something is even possible given the hw and other features).

Comment 12 James Patterson 2015-05-26 07:43:33 UTC
Hm, did you revert something? The disabling while typing functionality is much, much worse today :/

Comment 13 Peter Hutterer 2015-05-27 04:43:15 UTC
nope, didn't change anything since. but the full patchset is upstream now and it fixes a couple of other issues too. package coming up in a bit

Comment 14 Fedora Update System 2015-05-27 04:47:53 UTC
libinput-0.15.0-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libinput-0.15.0-3.fc22

Comment 15 Fedora Update System 2015-05-28 12:07:29 UTC
Package libinput-0.15.0-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libinput-0.15.0-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9040/libinput-0.15.0-3.fc22
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2015-05-29 02:16:19 UTC
libinput-0.15.0-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libinput-0.15.0-4.fc22

Comment 17 Fedora Update System 2015-06-02 15:16:21 UTC
libinput-0.15.0-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.